# frozen_string_literal: true

module FIS
  module Auth
    # Manages the local Sinatra/Thin server in a forked process
    class Runner
      def start
        @pid = fork do
          Thin::Logging.silent = true
          Server.start!
        end

        Process.detach(@pid)
      end

      def stop
        Process.kill('SIGINT', @pid) if @pid
      end
    end
  end
end
