# frozen_string_literal: true

require 'thor'

module FIS
  module CLI
    # Root for all Thor CLI-based commands
    class Base < Thor
      Error = Class.new(StandardError)

      def initialize(*args)
        super

        prompt = TTY::Prompt.new(enable_color: !options['no-color'])
        FIS.ui = UI.new(prompt)
        FIS.ui.debug! if options['verbose']
      end

      desc 'version', 'version information'
      def version
        puts "v#{FIS::VERSION}"
      end
      map %w[--version -v] => :version

      desc 'auth', 'Leverage Authentication'
      subcommand 'auth', FIS::CLI::Auth
    end
  end
end
