# frozen_string_literal: true

module FIS
  module CLI
    # Authentication-related Thor subcommands
    class Auth < Thor
      desc 'login', 'Command description...'
      method_option(
        :help,
        aliases: '-h',
        type: :boolean,
        desc: 'Display usage information'
      )
      def login(*)
        if options[:help]
          invoke :help, ['login']
        else
          FIS::CLI::Commands::Login.new(options).execute
        end
      end

      desc 'logout', 'Command description...'
      method_option(
        :help,
        aliases: '-h',
        type: :boolean,
        desc: 'Display usage information'
      )
      def logout(*)
        if options[:help]
          invoke :help, ['logout']
        else
          FIS::CLI::Commands::Logout.new(options).execute
        end
      end

      desc 'whoami', 'Command description...'
      method_option(
        :help,
        aliases: '-h',
        type: :boolean,
        desc: 'Display usage information'
      )
      def whoami(*)
        if options[:help]
          invoke :help, ['whoami']
        else
          FIS::CLI::Commands::Whoami.new.execute
        end
      end
    end
  end
end
