# frozen_string_literal: true

module FIS
  module CLI
    module Commands
      # `auth logout` - Removes the user's authentication credentials
      class Logout < Command
        def initialize(options)
          @options = options
        end

        def execute
          FIS.config.unset(:identity, :portal, :token)

          FIS.ui.newline
          FIS.ui.ok('You\'ve successfully logged out.')
        end
      end
    end
  end
end
