# frozen_string_literal: true

module FIS
  module CLI
    module Commands
      # `auth whoami` - Requests details about the authenitcated user
      class Whoami < Command
        def execute
          user = FIS.client.user.me

          FIS.ui.newline
          
          FIS.ui.ok 'Account Information:'
          FIS.ui.newline
          FIS.ui.print_table([
            ['Name:', user.full_name],
            ['Email:', user.email],
            ['Username:', user.username],
            ['Flatiron UUID:', user.learn_uuid],
            ['GitHub User ID:', user.github_uid.to_s] # .to_s for appropriate formatting
          ])

          FIS.ui.newline

          FIS.ui.ok 'Account Status:'
          FIS.ui.newline
          FIS.ui.print_table([
            ['Verified?', user.learn_verified_user],
            ['Can Start Working?', user.can_start_working]
          ])
        end
      end
    end
  end
end
